// pages/bank/bank.js
import * as UTIL from '../../utils/util.js';
import * as API from '../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    depositList:[],
    bankTypeOptions:[],
    value:"",
    scrollHeight:'',
    itemId:'',
    itemIndex:''
  },
  goAdd(){
    wx.navigateTo({
      url: 'add/add',
    })
  },
  back:function(){
    wx.navigateBack({
      delta: 1
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    var _this = this;
    let qu = wx.createSelectorQuery()
    qu.select("#top_view2").boundingClientRect()
    qu.exec(res => {
      _this.setData({
        scrollHeight:wx.getSystemInfoSync().windowHeight-res[0].top
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {
    this.onShow();
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    var that = this;
    //所属银行
    UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'bank_type', {method:'GET'}, {
      success: (res) => {
        this.setData({
          bankTypeOptions:res.data,
        });
        let param = {
          'bankDeposit':this.data.value
        }
        UTIL.httpRequest(API.URL_GET_DEPOSITLIST, param,{
          success: (response) => {
            if (response.code == API.SUCCESS_CODE) {
              for (let i = 0; i < response.rows.length; i++) {
                response.rows[i].bankTypeText = UTIL.getTransform(response.rows[i].bankType,res.data);
                response.rows[i].payeePaymentLines = response.rows[i].payeePaymentLines.substr(0,4)+'****'
              }
              that.setData({
                depositList:response.rows
              })
            }
          }
        })
      }
    })
  },
  goSearch(e){
    this.setData({'value':e.detail})
    this.onShow()
  },
  delete(e){
    this.setData({
      'itemId':e.currentTarget.dataset.id,
      'itemIndex':e.currentTarget.dataset.index,
      "showPopupDel":true
    });
  },
  cancelTemDel:function(e){
    this.setData({
      "itemId":"",
      "itemIndex":"",
      "showPopupDel":false
    });
  },
  confirmTemDel:function(e){
    this.setData({
      "showPopupDel":false
    });
    UTIL.httpRequest(API.URL_GET_DEPOSITDELETE+this.data.itemId , {method:'GET'}, {
      success: (res) => {
        if(res.code==200){
          let new_list = this.data.depositList
          new_list.splice(this.data.itemIndex,1)
          this.setData({'depositList':new_list})
          UTIL.showToastNoneIcon('删除成功！');
        }else{
          UTIL.showToastNoneIcon('删除失败！');
        }
      }
    })
  },
  goUpdate(e){
    wx.navigateTo({
      url: 'add/add?id='+ e.currentTarget.dataset.id,
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})